<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="560dp"
            android:layout_height="730dp"
            android:layout_margin="80dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/ll"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/iv_dialog_close"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="30dp"
                        android:src="@mipmap/cancel"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:layout_width="10dp"
                        android:layout_height="40dp"
                        android:layout_marginTop="30dp"
                        android:background="#00A1FF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_title"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="30dp"
                        android:layout_marginTop="30dp"
                        android:layout_marginEnd="90dp"
                        android:singleLine="true"
                        android:text="485除湿机控制"
                        android:textColor="#38ADFF"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_status"
                    android:layout_width="450dp"
                    android:layout_height="170dp"
                    android:layout_marginTop="95dp"
                    app:cardCornerRadius="20dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="#F2F0F1">

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_status_info"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            app:layout_constraintGuide_begin="260dp" />

                        <TextView
                            android:id="@+id/tv_target_humidity_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="14dp"
                            android:text="目标湿度"
                            android:textColor="#666666"
                            android:textSize="18sp"
                            app:layout_constraintBottom_toBottomOf="@+id/tv_target_humidity"
                            app:layout_constraintEnd_toStartOf="@+id/tv_target_humidity"
                            app:layout_constraintTop_toTopOf="@+id/tv_target_humidity" />

                        <TextView
                            android:id="@+id/tv_target_humidity"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="60"
                            android:textSize="86sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintHorizontal_bias="0.35"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:layout_marginTop="24dp"
                            android:text="%"
                            android:textSize="24sp"
                            app:layout_constraintStart_toEndOf="@+id/tv_target_humidity"
                            app:layout_constraintTop_toTopOf="@+id/tv_target_humidity" />

                        <TextView
                            android:id="@+id/tv_environment_humidity"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="26dp"
                            android:gravity="start"
                            android:text="环境湿度：--"
                            android:textSize="18sp"
                            app:layout_constraintBottom_toTopOf="@+id/tv_environment_temperature"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="@+id/guideline_status_info" />

                        <TextView
                            android:id="@+id/tv_environment_temperature"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="26dp"
                            android:gravity="start"
                            android:text="环境温度：--"
                            android:textSize="18sp"
                            app:layout_constraintBottom_toTopOf="@+id/tv_work_status"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="@+id/guideline_status_info" />

                        <TextView
                            android:id="@+id/tv_work_status"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="26dp"
                            android:layout_marginBottom="2dp"
                            android:gravity="start"
                            android:text="目前状态：待机"
                            android:textSize="18sp"
                            app:layout_constraintBottom_toTopOf="@+id/tv_fault"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="@+id/guideline_status_info" />

                        <TextView
                            android:id="@+id/tv_fault"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="26dp"
                            android:layout_marginBottom="18dp"
                            android:ellipsize="end"
                            android:gravity="start"
                            android:singleLine="true"
                            android:text="故障情况：正常"
                            android:textSize="18sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="@+id/guideline_status_info" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.cardview.widget.CardView>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_dehumidifier_control"
                    android:layout_width="500dp"
                    android:layout_height="90dp"
                    android:layout_marginTop="30dp"
                    android:clipChildren="false"
                    android:clipToPadding="false"
                    app:layout_constraintEnd_toEndOf="@+id/card_status"
                    app:layout_constraintStart_toStartOf="@+id/card_status"
                    app:layout_constraintTop_toBottomOf="@+id/card_status">

                    <androidx.cardview.widget.CardView
                        android:id="@+id/card_power"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="5dp"
                        app:cardCornerRadius="40dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <ImageView
                            android:id="@+id/btn_power"
                            android:layout_width="80dp"
                            android:layout_height="80dp"
                            android:padding="15dp"
                            android:src="@mipmap/open" />

                    </androidx.cardview.widget.CardView>

                    <androidx.cardview.widget.CardView
                        android:id="@+id/card_mode"
                        android:layout_width="400dp"
                        android:layout_height="match_parent"
                        android:layout_margin="5dp"
                        app:cardCornerRadius="40dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <ImageView
                                    android:id="@+id/mode_dehumidify"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_weight="1"
                                    android:padding="15dp"
                                    android:src="@mipmap/cold" />

                                <ImageView
                                    android:id="@+id/mode_ventilation"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_weight="1"
                                    android:padding="15dp"
                                    android:src="@mipmap/auto" />

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <ImageView
                                    android:id="@+id/iv_sel_dehumidify"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_weight="1"
                                    android:scaleType="center"
                                    android:src="@mipmap/sel_cold" />

                                <ImageView
                                    android:id="@+id/iv_sel_ventilation"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_weight="1"
                                    android:scaleType="center"
                                    android:src="@mipmap/sel_auto" />

                            </LinearLayout>

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                </androidx.constraintlayout.widget.ConstraintLayout>

                <LinearLayout
                    android:id="@+id/ll_mode_labels"
                    android:layout_width="500dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="horizontal"
                    app:layout_constraintEnd_toEndOf="@+id/cl_dehumidifier_control"
                    app:layout_constraintStart_toStartOf="@+id/cl_dehumidifier_control"
                    app:layout_constraintTop_toBottomOf="@+id/cl_dehumidifier_control">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="开关"
                        android:textSize="22sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2"
                        android:gravity="center"
                        android:text="除湿"
                        android:textSize="22sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2"
                        android:gravity="center"
                        android:text="通风"
                        android:textSize="22sp" />

                </LinearLayout>

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_fan"
                    android:layout_width="450dp"
                    android:layout_height="80dp"
                    android:layout_marginTop="25dp"
                    app:cardCornerRadius="40dp"
                    app:layout_constraintEnd_toEndOf="@+id/card_status"
                    app:layout_constraintStart_toStartOf="@+id/card_status"
                    app:layout_constraintTop_toBottomOf="@+id/ll_mode_labels">

                    <FrameLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <ImageView
                                android:id="@+id/iv_sel_fan_low"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:scaleType="center"
                                android:src="@mipmap/sel_auto" />

                            <ImageView
                                android:id="@+id/iv_sel_fan_middle"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:scaleType="center"
                                android:src="@mipmap/sel_auto" />

                            <ImageView
                                android:id="@+id/iv_sel_fan_high"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:scaleType="center"
                                android:src="@mipmap/sel_auto" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <ImageView
                                android:id="@+id/fan_low"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:padding="24dp"
                                android:src="@mipmap/ven_open" />

                            <ImageView
                                android:id="@+id/fan_middle"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:padding="20dp"
                                android:src="@mipmap/ven_open" />

                            <ImageView
                                android:id="@+id/fan_high"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:padding="16dp"
                                android:src="@mipmap/ven_open" />

                        </LinearLayout>

                    </FrameLayout>

                </androidx.cardview.widget.CardView>

                <LinearLayout
                    android:id="@+id/ll_fan_labels"
                    android:layout_width="450dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="horizontal"
                    app:layout_constraintEnd_toEndOf="@+id/card_fan"
                    app:layout_constraintStart_toStartOf="@+id/card_fan"
                    app:layout_constraintTop_toBottomOf="@+id/card_fan">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="低风"
                        android:textSize="22sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="中风"
                        android:textSize="22sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="高风"
                        android:textSize="22sp" />

                </LinearLayout>

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_humidity"
                    android:layout_width="450dp"
                    android:layout_height="80dp"
                    android:layout_marginTop="25dp"
                    app:cardCornerRadius="40dp"
                    app:cardElevation="10dp"
                    app:layout_constraintEnd_toEndOf="@+id/card_status"
                    app:layout_constraintStart_toStartOf="@+id/card_status"
                    app:layout_constraintTop_toBottomOf="@+id/ll_fan_labels">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <ImageView
                            android:id="@+id/btn_humidity_reduce"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginStart="24dp"
                            android:src="@mipmap/minus"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:text="目标湿度"
                            android:textSize="24sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <ImageView
                            android:id="@+id/btn_humidity_plus"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginEnd="24dp"
                            android:src="@mipmap/add"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.cardview.widget.CardView>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
